#!/bin/bash
for y in {2008..2021}
do
  mkdir -p ./temp
  for q in {1..4}
  do
    wget -O ./temp/temp_q${q}.tsv -N "https://ec.europa.eu/eurostat/api/dissemination/sdmx/3.0/data/dataflow/ESTAT/lfsq_egan22d/1.0?c[sex]=T&c[age]=Y_GE15&c[time_period]=${y}-Q${q}&format=tsv"
  done
  mariadb -h "" -u "" -p -e "CREATE TEMPORARY TABLE FACT_jobs.staging_1 (Area varchar(50) NOT NULL, Value DOUBLE, Year INT); LOAD DATA LOCAL INFILE \"temp/temp_q1.tsv\" INTO TABLE FACT_jobs.staging_1 FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Area=@col1, Value=@col2, Year=${y}; CREATE TEMPORARY TABLE FACT_jobs.staging_2 (Area varchar(50) NOT NULL, Value DOUBLE, Year INT); LOAD DATA LOCAL INFILE \"temp/temp_q2.tsv\" INTO TABLE FACT_jobs.staging_1 FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Area=@col1, Value=@col2, Year=${y}; CREATE TEMPORARY TABLE FACT_jobs.staging_3 (Area varchar(50) NOT NULL, Value DOUBLE, Year INT); LOAD DATA LOCAL INFILE \"temp/temp_q3.tsv\" INTO TABLE FACT_jobs.staging_1 FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Area=@col1, Value=@col2, Year=${y}; CREATE TEMPORARY TABLE FACT_jobs.staging_4 (Area varchar(50) NOT NULL, Value DOUBLE, Year INT); LOAD DATA LOCAL INFILE \"temp/temp_q4.tsv\" INTO TABLE FACT_jobs.staging_1 FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Area=@col1, Value=@col2, Year=${y}; INSERT INTO FACT_jobs.LFS (GeoID, Year, Nace, EmpTh_Q1) SELECT SUBSTRING_INDEX(Area,',',-1), Year, SUBSTRING_INDEX(SUBSTRING_INDEX(Area,',',-2),',',1), Value FROM FACT_jobs.staging_1 ON DUPLICATE KEY UPDATE EmpTh_Q1 = Value; INSERT INTO FACT_jobs.LFS (GeoID, Year, Nace, EmpTh_Q2) SELECT SUBSTRING_INDEX(Area,',',-1), Year, SUBSTRING_INDEX(SUBSTRING_INDEX(Area,',',-2),',',1), Value FROM FACT_jobs.staging_2 ON DUPLICATE KEY UPDATE EmpTh_Q2 = Value; INSERT INTO FACT_jobs.LFS (GeoID, Year, Nace, EmpTh_Q3) SELECT SUBSTRING_INDEX(Area,',',-1), Year, SUBSTRING_INDEX(SUBSTRING_INDEX(Area,',',-2),',',1), Value FROM FACT_jobs.staging_3 ON DUPLICATE KEY UPDATE EmpTh_Q3 = Value; INSERT INTO FACT_jobs.LFS (GeoID, Year, Nace, EmpTh_Q4) SELECT SUBSTRING_INDEX(Area,',',-1), Year, SUBSTRING_INDEX(SUBSTRING_INDEX(Area,',',-2),',',1), Value FROM FACT_jobs.staging_4 ON DUPLICATE KEY UPDATE EmpTh_Q4 = Value;"
  rm -r ./temp
done
