#!/bin/bash
for y in {1995..2021}
do
  mkdir -p ./temp
  wget -O ./temp/temp.tsv -N "https://ec.europa.eu/eurostat/api/dissemination/sdmx/3.0/data/dataflow/ESTAT/nama_10r_3empers/1.0?c[wstatus]=EMP&c[time_period]=${y}&format=tsv"
  mariadb -h "" -u "" -p -e "CREATE TEMPORARY TABLE FACT_jobs.staging (Area varchar(30) NOT NULL, Value DOUBLE, Year INT); LOAD DATA LOCAL INFILE \"temp/temp.tsv\" INTO TABLE FACT_jobs.staging FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\n' IGNORE 1 LINES (@col1, @col2) SET Area=@col1, Value=@col2, Year=${y}; INSERT INTO FACT_jobs.REA (GeoID, Year, Nace, EmpTh) SELECT SUBSTRING_INDEX(Area,',',-1), Year, SUBSTRING_INDEX(SUBSTRING_INDEX(Area,',',-2),',',1), Value FROM FACT_jobs.staging ON DUPLICATE KEY UPDATE EmpTh = Value;"
  rm -r ./temp
done
